#!/usr/bin/env bash
conky_dir=`expr ~/.conky/`
icons_dir=$conky_dir"icons/"
files=(clock_rings.lua  conkyrc  fedora-logo.png  weather.conky  weather.xslt conky_api.sh)

function get_icons {
    if [ ! -e "${icons_dir}" ]; then
        mkdir "${icons_dir}"
    fi
    for ((i = 1; i <= 47; i += 1 )); do
        wget --no-verbose http://bs.imwx.com/v.20100719.135915/img/wxicon/72/$i.png -O "${icons_dir}${i}.png"
    done
}

function usage {
    echo "$0 <city code location>"
    echo "for know your city code go to: http://www.weather.com/common/welcomepage/world.html"
}

if [ $# -lt 1 ]; then
    usage
else
    # create conky dir if do not exist
    if [ ! -e "${conky_dir}" ]; then
        mkdir "${conky_dir}"
    fi
    # install files into conky dir
    for f in ${files[*]}; do
        install -m 0644 "${f}" "${conky_dir}${f}"
    done
    # set city location in conky file
    if [ $1 != "SZXX0017" ]; then
        sed -i "s/SZXX0017/$1/" "${conky_dir}${files[5]}"
    fi
    # add line for start conky
    echo -e "\n# run conky\npkill conky\nconky -c ~/.conky/weather.conky &\nconky -c ~/.conky/conkyrc &\n" >> ~/.bash_profile
    # get icons from web
    get_icons
    # start conky
    source ~/.bash_profile
fi
