<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">
   <xsl:output 
      method="text"
      media-type="text/plain"
      encoding="UTF-8"
      indent="no" />
      <!--
      Usage:
       - xsltproc test.xslt test.xml
       - xsltproc -stringparam day 3  test.xslt test.xml
       - xsltproc -stringparam day 3 -stringparam moment n test.xslt test.xml
       Note:
       - stringparam is xsltproc options and for use it you need put thwo dash intead one (because xml spec do not allow two dash in xml comment!)
      -->
    <xsl:param name="day" select="0" />     <!-- take value 0 to 6 -->
    <xsl:param name="moment" select='"d"' /> <!-- take value d or n -->
    
    <!-- 1) Identity transform -->
    <xsl:template match="/">
        <xsl:copy>
            <xsl:apply-templates select="weather/dayf/day[@d = $day]" />
        </xsl:copy>
    </xsl:template>
    
    <!-- 2) Select node -->
    <xsl:template match="day">
        <xsl:value-of select="sunr"/><xsl:text>|</xsl:text>                     <!-- sunrise -->
        <xsl:value-of select="suns"/><xsl:text>|</xsl:text>                     <!-- sunset -->
        <xsl:value-of select="@t"/><xsl:text>|</xsl:text>                       <!-- day -->
        <xsl:value-of select="low"/><xsl:text>°C|</xsl:text>                    <!-- min -->
        <xsl:value-of select="hi"/><xsl:text>°C|</xsl:text>                     <!-- max -->
        <xsl:value-of select="part[@p = $moment]/icon"/><xsl:text>|</xsl:text>  <!-- icon -->
    </xsl:template>
</xsl:stylesheet>


